将k8s集群注册到gitlab是helm安装报错,请问要怎么处理?报错如下:

Error: parse error at (gitlab-agent/templates/observability-secret.yaml:1): unclosed action
提示observability-secret.yaml 无法执行

这是yaml的内容:
{{- if and ((.Values.config.observability).tls).enabled
(((.Values.config.observability).tls).secret).create }}
apiVersion: v1
kind: Secret
metadata:
name: {{ include “gitlab-agent.observabilitySecretName” . }}
labels:
{{- include “gitlab-agent.labels” . | nindent 4 }}
data:
tls.key: {{ .Values.config.observability.tls.key | b64enc }}
tls.crt: {{ .Values.config.observability.tls.cert | b64enc }}
type: kubernetes.io/tls
{{- end }}
~

解决了,将第一行和第二行合并到一行,就可以了。